%global _empty_manifest_terminate_build 0

Name:           python-crudini
Version:        0.9.5
Release:        1
Summary:        A utility for manipulating ini files
License:        GPLv2
URL:            http://github.com/pixelb/crudini
Source0:        https://files.pythonhosted.org/packages/32/67/c4e838930e2f434db08d6a6aadffca3d14e7455d1c2c2332e22003ad453d/crudini-0.9.5.tar.gz
BuildArch:      noarch
%description
crudini A utility for manipulating ini files

%package -n python3-crudini
Summary:        A utility for manipulating ini files
Provides:       python-crudini
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-pbr
BuildRequires:  python3-pip
BuildRequires:  python3-wheel
BuildRequires:  python3-iniparse
Requires:       python3-iniparse
%description -n python3-crudini
crudini A utility for manipulating ini files

%package help
Summary:        A utility for manipulating ini files
Provides:       python3-crudini-doc
%description help
Usage: 
crudini --set [OPTION]...   config_file section   [param] [value]
  or:  crudini --get [OPTION]...   config_file [section] [param]
  or:  crudini --del [OPTION]...   config_file section   [param] [list value]
  or:  crudini --merge [OPTION]... config_file [section]

%prep
%autosetup -n crudini-%{version} -p1

%build
%py3_build

%install
%py3_install
install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi
pushd %{buildroot}
if [ -d usr/lib ]; then
    find usr/lib -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib64 ]; then
    find usr/lib64 -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/bin ]; then
    find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ]; then
    find usr/sbin -type f -printf "/%h/%f\n" >> filelist.lst
fi
touch doclist.lst
if [ -d usr/share/man ]; then
    find usr/share/man -type f -printf "/%h/%f.gz\n" >> doclist.lst
fi
popd
mv %{buildroot}/filelist.lst .
mv %{buildroot}/doclist.lst .

%check
%{__python3} setup.py test

%files -n python3-crudini -f filelist.lst
%dir %{python3_sitelib}/*


%files help -f doclist.lst
%{_docdir}/*

%changelog
* Fri Jul 26 2024 liudy <liudingyao@kylinos.cn> - 0.9.5-1
- Update version to 0.9.5
- Support converting whole ini file to shell syntax
- Support getting/setting multiple items per invocation
- Support indented ini files

* Fri Jul 30 2021 chenyanpanHW <chenyanpan@huawei.com> - 0.9.3-2
- DESC: delete -S git from %autosetup

* Tue Jul 13 2021 OpenStack_SIG <openstack@openeuler.org> - 0.9.3-1
- Package Spec generate
